import { Cell, Grid, GridItem } from 'vant'
import { defineComponent, onMounted, reactive } from 'vue'
import styles from '../index.module.less'
import iconSubsidy from '../images/icon-subsidy.png'
import iconNews from '../images/icon-news.png'
import iconPhoto from '../images/icon-photo.png'
import request from '@/helpers/request'
import { state } from '@/state'

export default defineComponent({
  name: 'approval-manage-agency',
  setup() {
    const data = reactive({

    })
    const getData = async () => {
        try {
            const res: any = await request.post(`${state.platformApi}/schoolWeekSalaryRecord/manage`)
        } catch (error) {
            
        }
    }
    onMounted(() => {
        getData()
    })
    return () => (
      <div>
        <div class={styles.item}>
          <Cell center label="2023-1-16 至 2023-1-2" isLink to={'/approval-manage-subsidy'}>
            {{
              title: () => (
                <div class={styles.itemTitle}>
                  <img class={styles.titleIcon} src={iconSubsidy} />
                  <span>补助确认</span>
                </div>
              )
            }}
          </Cell>
          <Grid class={styles.grid} columnNum={3} border={false}>
            <GridItem>
              <div class={styles.gridItem}>
                <div class={styles.gridItemTop}>
                  <span class={styles.topNum}>240</span>元
                </div>
                <div>管理补助</div>
              </div>
            </GridItem>
            <GridItem>
              <div class={styles.gridItem}>
                <div class={styles.gridItemTop}>
                  <span class={styles.topNum}>240</span>元
                </div>
                <div>管理补助</div>
              </div>
            </GridItem>
            <GridItem>
              <div class={styles.gridItem}>
                <div class={styles.gridItemTop}>
                  <span class={styles.topNum}>240</span>元
                </div>
                <div>管理补助</div>
              </div>
            </GridItem>
          </Grid>
        </div>

        <div class={styles.item}>
          <Cell
            style={{ '--van-cell-value-color': '#333' }}
            center
            label="2023-1-16 至 2023-1-2"
            value="1/6"
            isLink
          >
            {{
              title: () => (
                <div class={styles.itemTitle}>
                  <img class={styles.titleIcon} src={iconNews} />
                  <span>训练照片</span>
                </div>
              )
            }}
          </Cell>
        </div>
        <div class={styles.item}>
          <Cell
            style={{ '--van-cell-value-color': '#333' }}
            center
            label="2023-1-16 至 2023-1-2"
            value="1/6"
            isLink
          >
            {{
              title: () => (
                <div class={styles.itemTitle}>
                  <img class={styles.titleIcon} src={iconPhoto} />
                  <span>乐团资讯</span>
                </div>
              )
            }}
          </Cell>
        </div>
      </div>
    )
  }
})
