import { Cell, Grid, GridItem } from 'vant'
import { defineComponent } from 'vue'
import styles from '../index.module.less'
import iconA from '../images/icon-photo.png'
import iconTime from '../images/icon-time.png'
import iconPrimary from '../images/icon-primary.png'
import iconError from '../images/icon-error.png'

export default defineComponent({
  name: 'subsidy-detail',
  setup() {
    return () => (
      <div>
        <div class={[styles.item, styles.listItem]}>
          <Cell border={false} center class={styles.listItem} title="补助标准" value={'240元/天'} />
          <Cell
            border={false}
            center
            class={styles.listItem}
            title="补助课程"
            value={'长笛单技课'}
          />
          <Cell
            border={false}
            center
            class={styles.listItem}
            title="课件使用未达标"
            value={'-240.00元'}
          />
          <Cell border={false} center class={styles.listItem} title="早退" value={'-50.00元'} />
          <Cell
            border={false}
            center
            class={styles.listItem}
            title="实际补助金额"
            value={'190.00元'}
          />
        </div>

        {[1, 2, 3].map((item: any) => (
          <div class={styles.item}>
            <Cell center>
              {{
                title: () => (
                  <div class={styles.itemTitle}>
                    <img class={styles.titleIcon} src={iconTime} />
                    <span>2023-1-17 14:00～15:3</span>
                  </div>
                )
              }}
            </Cell>
            <div class={styles.itemContent}>
              <div class={styles.itemContentTitle}>
                <span>长笛单技课-张老师</span>
                <span
                  class={styles.itemContentTitleDetail}
                  style={{ color: 1 ? '#358AF5' : '#F44541' }}
                >
                  课件使用：15/20分钟
                </span>
              </div>
              <div class={styles.itemContentLabel}>武汉市洪山区第二小学2022标准团</div>
              <div class={styles.times}>
                <div class={[styles.timesItem, styles.startTime]}>
                  <div class={styles.startTimeTop}>
                    <span>签到时间</span>
                    <img src={iconPrimary} />
                  </div>
                  <div class={styles.startTimeBottom}>14:08:25</div>
                </div>
                <div class={[styles.timesItem, styles.endTime]}>
                  <div class={styles.startTimeTop}>
                    <span>签退时间</span>
                    <img src={iconError} />
                  </div>
                  <div class={styles.startTimeBottom}>15:35:25</div>
                </div>
              </div>
            </div>
          </div>
        ))}
      </div>
    )
  }
})
