import { Cell, Grid, GridItem } from 'vant'
import { defineComponent } from 'vue'
import styles from '../index.module.less'
import iconA from '../images/icon-photo.png'

export default defineComponent({
  name: 'subsidy-exercise-detail',
  setup() {
    return () => (
      <div>
        <div class={styles.item}>
          <Cell center class={styles.rewardItem}>
            {{
              icon: <img class={styles.itemPicture} src={iconA} />,
              title: () => (
                <div class={styles.itemTitle}>
                  <span>邓同学</span>
                </div>
              ),
              value: () => (
                <div class={styles.gridItem}>
                  <div class={styles.gridItemTop}>
                    <span class={styles.topNum}>40</span>元
                  </div>
                  <div class={styles.valeLabel}>实际补助</div>
                </div>
              )
            }}
          </Cell>
        </div>

        {[1, 2, 3].map((item: any) => (
          <div class={styles.item}>
            <Cell center value="1天" isLink to={'/subsidy-details'}>
              {{
                title: () => (
                  <div class={styles.itemTitle}>
                    <div class={styles.titleLine}></div>
                    <span>长笛单技训练</span>
                  </div>
                )
              }}
            </Cell>
            <Grid class={styles.grid} columnNum={3} border={false}>
              <GridItem>
                <div class={styles.gridItem}>
                  <div class={styles.gridItemTop}>
                    <span class={styles.topNum}>240</span>元
                  </div>
                  <div>预计补助</div>
                </div>
              </GridItem>
              <GridItem>
                <div class={styles.gridItem}>
                  <div class={styles.gridItemTop}>
                    <span class={styles.topNum}>0.00</span>元
                  </div>
                  <div>考勤扣款</div>
                </div>
              </GridItem>
              <GridItem>
                <div class={styles.gridItem}>
                  <div class={styles.gridItemTop}>
                    <span class={styles.topNum}>240</span>课元
                  </div>
                  <div>实际补助</div>
                </div>
              </GridItem>
            </Grid>
          </div>
        ))}
      </div>
    )
  }
})
