import { Cell, Grid, GridItem } from 'vant'
import { defineComponent } from 'vue'
import styles from '../index.module.less'
import iconTime from '../images/icon-time.png'

export default defineComponent({
  name: 'subsidy-grant-detail',
  setup() {
    return () => (
      <div>

        <div class={styles.item}>
          <Cell center value="训练照片2/6">
            {{
              title: () => (
                <div class={styles.itemTitle}>
                  <div class={styles.titleLine}></div>
                  <span>管理补助</span>
                </div>
              )
            }}
          </Cell>
          <Grid class={styles.grid} columnNum={3} border={false}>
            <GridItem>
              <div class={styles.gridItem}>
                <div class={styles.gridItemTop}>
                  <span class={styles.topNum}>240</span>元/周
                </div>
                <div>补助标准</div>
              </div>
            </GridItem>
            <GridItem>
              <div class={styles.gridItem}>
                <div class={styles.gridItemTop}>
                  <span class={styles.topNum}>240</span>元/周
                </div>
                <div>补助标准</div>
              </div>
            </GridItem>
            <GridItem>
              <div class={styles.gridItem}>
                <div class={styles.gridItemTop}>
                  <span class={styles.topNum}>240</span>课时
                </div>
                <div>本周课时数</div>
              </div>
            </GridItem>
          </Grid>
        </div>

        <div class={styles.item}>
          <Cell center>
            {{
              title: () => (
                <div class={styles.itemTitle}>
                  <img class={styles.titleIcon} src={iconTime} />
                  <span>2023-1-17 14:00～15:3</span>
                </div>
              )
            }}
          </Cell>
          <div class={styles.itemContent}>
            <div class={styles.itemContentTitle}>长笛单技课-张老师</div>
            <div class={styles.itemContentLabel}>武汉市洪山区第二小学2022标准团</div>
          </div>
        </div>
      </div>
    )
  }
})
