import { Grid, GridItem } from 'vant'
import { defineComponent, PropType } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'answer-list',
  props: {
    value: {
      type: Array,
      default: () => []
    },
    statusList: {
      type: Array,
      default: () => [
        {
          text: '已答',
          color: '#FF8057'
        },
        {
          text: '未答',
          color: '#EAEAEA'
        }
      ]
    }
  },
  emits: ['select'],
  setup(props, { emit }) {
    console.log(props.value)
    return () => (
      <div class={styles.anserList}>
        <div class={styles.status}>
          {props.statusList.map((item: any) => (
            <span>
              <i style={{ backgroundColor: item.color }}></i>
              {item.text}
            </span>
          ))}
        </div>

        <Grid class={styles.aList} columnNum={6} border={false}>
          {props.value.map((item: any, index: number) => (
            <GridItem onClick={() => emit('select', index)}>
              <span class={item.userAnswer && item.userAnswer.length > 0 && styles.answered}>
                {index + 1}
              </span>
            </GridItem>
          ))}
        </Grid>
      </div>
    )
  }
})
