import { defineComponent } from 'vue'
import { Image, Button } from 'vant'
import iconError from '../../images/icon-error.png'
import styles from './index.module.less'

export default defineComponent({
  name: 'result-mode',
  emits: ['close', 'conform'],
  setup(props, { emit }) {
    return () => (
      <div class={styles.popupResult}>
        <div class={styles.resultTitle}>
          <Image src={iconError} class={styles.titleImg} />
          回答错误！
        </div>

        <div class={styles.result}>
          正确答案: <span class={styles.yes}>A</span>
          您选择: <span class={styles.no}>B</span>
        </div>

        <div class={styles.resultContent}>
          <span>答案解析：</span>
          八分音符，从拍号中可以了解这一段乐谱为4/4拍，每小节4拍，红框小节中共有8个音符共同组成4拍，每个音符半拍，所以是八分音符。
        </div>

        <Button
          type="primary"
          round
          class={styles.btn}
          block
          onClick={() => {
            emit('conform')
            emit('close')
          }}
        >
          我知道啦
        </Button>
      </div>
    )
  }
})
