import { Cell, CellGroup, Image, Tag } from 'vant'
import { defineComponent, onMounted, reactive, ref } from 'vue'
import { useRoute, useRouter } from 'vue-router'
import styles from './index.module.less'
import iconTag from '../images/icon-tag.png'

export default defineComponent({
  name: 'unit-detail',
  setup() {
    const route = useRoute()
    const router = useRouter()
    const state = reactive({
      visiableNotice: false
    })

    const onDetail = (item: any) => {
      router.push({
        path: '/practice-mode'
      })
    }

    return () => (
      <div class={styles.unitDetail}>
        <Cell center class={styles.unitSection}>
          {{
            title: () => (
              <div class={styles.unitTitle}>
                长笛level1上册测验一长笛level1上册测验一册测验一
                <Tag type="primary">长笛单技课</Tag>
              </div>
            ),
            label: () => (
              <div class={styles.examSite}>
                <p>1、在练习模式中可以对本次测验相关考点进行反复练习;</p>
                <p>2、为了测验达到理想成绩，充分练习后再进行正式测验吧！</p>
              </div>
            )
          }}
        </Cell>

        <div class={styles.cellGroup}>
          <div class={styles.cellTitle}>
            <i></i>考点
          </div>
          {[1, 2, 3, 44, 5, 6, 7, 8].map((item: any) => (
            <Cell center isLink titleClass={['van-ellipsis']} onClick={() => onDetail(item)}>
              {{
                icon: () => <Image src={iconTag} class={styles.img} />,
                title: () => <>乐理知识乐理知识乐理知识乐理知识乐理知识乐理知识-音符</>,
                value: () => <span>去练习</span>
              }}
            </Cell>
          ))}
        </div>
      </div>
    )
  }
})
